/*********************************************************

Tutorial Project: Parameters
  by Steve Vink, March 2015
  Use permitted for all purposes, commercial and personal

  This project is a demonstration of how to use
  the parameters.agc include file. Do not include this 
  file in your own projects, iclude only the
  parameters.agc file (as demonstrated here)
  
  The main.agc file is a practical demonstration of the use of
  the parameters functionality.

********************************************************/

// Include the parameter file module
#include "parameters.agc"

//Create a type to hold our demo text
type tText
	id
	text as string
endtype

// make an array from the type
global arrTxt as tText[4]

// set window properties
SetWindowTitle( "Parameters" )

// set display properties
SetOrientationAllowed( 1, 1, 1, 1 )

//Initialise parameter system
// This is requireed whenever you use the module
initParms(10)

// Load the parameters from file
// using functionality from the parameters module
// This example loads 2 files, with 2 different identifiers
LoadParms("parameters.ini", "main")
LoadParms("setup.ini", "setup")

// Get the parameters and save them as text to display on screen
// This is an example of getParm() to transfer to standard variables
// You would do this for added convenience, or ti improve performance
// It is also acceptable to get the parameters directly from the parameters each time
arrTxt[1].text = getParm("appname", "main")
arrTxt[2].text = getParm("author","main")
arrTxt[3].text = "Screen Height : " + getParm("width","setup")
arrTxt[4].text = "Screen Width : " + getParm("height","setup")

//get the width/height and set the screen size
// this is done by getting the numeric value of the text parameter
width = val(getParm("width", "setup"))
height = val(getParm("height", "setup"))
SetWindowSize( width, height, 0 )
SetVirtualResolution( width, height )

//Create some text objects to display our parameters
arrTxt[1].id = CreateText(arrtxt[1].text)
arrTxt[2].id = CreateText(arrtxt[2].text)
arrtxt[3].id = CreateText(arrtxt[3].text)
arrtxt[4].id = CreateText(arrtxt[4].text)

tweenTxt = CreateTweenText(val(getParm("tweenlength", "setup")))
SetTweenTextAlpha(tweenTxt,0,255,5)

for n = 1 to 4
	SetTextSize(arrTxt[n].id, val(getParm("fontsize", "setup")))
	SetTextAlignment(arrTxt[n].id,1)
	SetTextColorAlpha(arrTxt[n].id,0)
	SetTextPosition(arrTxt[n].id, width/2, (height/4) + (n*60))
	PlayTweenText(tweenTxt,arrTxt[n].id,n * val(getParm("tweenlength", "setup")) * 0.5)
next n

do
    Print( ScreenFPS() )
    UpdateAllTweens(GetFrameTime())
    Sync()
loop
